summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2015-03-14 05:59:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-14 05:59:09 +0700
commita8a0566fc7d98654c87ca08b67accea7a7540c71 (patch)
tree41913c51f7b5eebae041131736b9d501e7645e4b /system
parent7dca3216032acafcea60d1025454ccdcd3d0b741 (diff)
downloadslackbuilds-a8a0566fc7d98654c87ca08b67accea7a7540c71.tar.gz
slackbuilds-a8a0566fc7d98654c87ca08b67accea7a7540c71.tar.xz
system/courier-prime: Added (Free Courier and Courier-like font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/courier-prime/README10
-rw-r--r--system/courier-prime/courier-prime.SlackBuild62
-rw-r--r--system/courier-prime/courier-prime.info14
-rw-r--r--system/courier-prime/doinst.sh10
-rw-r--r--system/courier-prime/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/courier-prime/README b/system/courier-prime/README
new file mode 100644
index 0000000000..cb6f3d5f55
--- /dev/null
+++ b/system/courier-prime/README
@@ -0,0 +1,10 @@
+A fully free (SIL Open Font License) Courier font, complete with a true italics face and a rich unicode glyph set.
+
+Included in this SlackBuild script are the other members of the Courier Prime family:
+
+- Courier Prime: a free Courier replacement
+
+- Courier Prime Sans: Courier Prime, sans serif
+
+- Courier Prime Source: Courier sans for programmers (slashes
+ through zeros, baseline asterisks, and so on)
diff --git a/system/courier-prime/courier-prime.SlackBuild b/system/courier-prime/courier-prime.SlackBuild
new file mode 100644
index 0000000000..0f9a2e2553
--- /dev/null
+++ b/system/courier-prime/courier-prime.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Slackware build script for Courier Prime
+# Copyright 2015 klaatu@member.fsf.org
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=courier-prime
+VERSION='03142015'
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rvf $PRGNAM
+rm -rvf $TMP/`echo $PRGNAM | cut -f1 -d'-'`-{prime,sans,source}
+
+# grab one copy of OFL info
+mkdir -p $PKG/usr/doc/$PRGNAM
+unzip -vjo $CWD/$PRGNAM.zip "Courier Prime/LICENSE/*" -d $PKG/usr/doc/$PRGNAM || exit 1
+
+# install the fonts
+mkdir -p $PKG/usr/share/fonts/TTF
+unzip -jo $CWD/courier-prime.zip "Courier*/Courier*ttf" -d $PKG/usr/share/fonts/TTF
+unzip -jo $CWD/courier-sans.zip "Courier*/ttf/Courier*ttf" -d $PKG/usr/share/fonts/TTF
+unzip -jo $CWD/courier-source.zip "Courier*/ttf/Courier*ttf" -d $PKG/usr/share/fonts/TTF
+
+cd $PKG
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# grab the docs, such as they are
+unzip -vjp $CWD/$PRGNAM.zip "Courier Prime/Read*txt" > $PKG/usr/doc/$PRGNAM/readme-prime.txt || exit 1
+unzip -vjp $CWD/courier-sans.zip "Courier*/README.md" > $PKG/usr/doc/$PRGNAM/readme-sans.md || exit 1
+unzip -vjp $CWD/courier-source.zip "Courier*/README.md" > $PKG/usr/doc/$PRGNAM/readme-source.md || exit 1
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/courier-prime/courier-prime.info b/system/courier-prime/courier-prime.info
new file mode 100644
index 0000000000..7bb4623b4d
--- /dev/null
+++ b/system/courier-prime/courier-prime.info
@@ -0,0 +1,14 @@
+PRGNAM="courier-prime"
+VERSION="03142015"
+HOMEPAGE="http://quoteunquoteapps.com/courierprime/"
+DOWNLOAD="http://quoteunquoteapps.com/downloads/courier-prime.zip \
+ http://quoteunquoteapps.com/downloads/courier-sans.zip \
+ http://quoteunquoteapps.com/downloads/courier-source.zip"
+MD5SUM="cf79336ce1cf439560a5364ab7856738 \
+865df64ca03a2b3b596dd61d943cb9bf \
+7df1a6a7bfe16220c76a2ce395d7a9ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/system/courier-prime/doinst.sh b/system/courier-prime/doinst.sh
new file mode 100644
index 0000000000..883c47ac0a
--- /dev/null
+++ b/system/courier-prime/doinst.sh
@@ -0,0 +1,10 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/courier-prime/slack-desc b/system/courier-prime/slack-desc
new file mode 100644
index 0000000000..c3bd876acc
--- /dev/null
+++ b/system/courier-prime/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+courier-prime: courier-prime (Free Courier and Courier-like font set)
+courier-prime:
+courier-prime: Courier Prime*, specially designed for screenplays.
+courier-prime: Courier Sans, a courier-like font without serifs.
+courier-prime: Courier Source, another courier-like font without serifs "optimized
+courier-prime: for programmers".
+courier-prime: Released under the SIL Open Font License
+courier-prime:
+courier-prime: *Apologies to the Slackware logo.
+courier-prime:
+courier-prime: http://quoteunquoteapps.com/courierprime/